Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.ehcache.internal.nonstop
Class NonstopAccessStrategyFactory

    java.lang.Object
      org.hibernate.cache.ehcache.internal.nonstop.NonstopAccessStrategyFactory

All Implemented Interfaces:
  EhcacheAccessStrategyFactory

    public class NonstopAccessStrategyFactory

extends Object
implements EhcacheAccessStrategyFactory

Implementation of `EhcacheAccessStrategyFactory` that takes care of Nonstop cache exceptions using `HibernateNonstopCacheExceptionHandler`

Constructor Summary
`NonstopAccessStrategyFactory(EhcacheAccessStrategyFactory actualFactory)` Constructor accepting the actual factory

Method Summary
`CollectionRegionAccessStrategy` | `createCollectionRegionAccessStrategy(EhcacheCollectionRegion collectionRegion, AccessType accessType)` Create `CollectionRegionAccessStrategy` for the input `EhcacheCollectionRegion` and `AccessType`
`EntityRegionAccessStrategy` | `createEntityRegionAccessStrategy(EhcacheEntityRegion entityRegion, AccessType accessType)` Create `EntityRegionAccessStrategy` for the input `EhcacheEntityRegion` and `AccessType`
`NaturalIdRegionAccessStrategy` | `createNaturalIdRegionAccessStrategy(EhcacheNaturalIdRegion naturalIdRegion, AccessType accessType)` Create `NaturalIdRegionAccessStrategy` for the input `EhcacheNaturalIdRegion` and `AccessType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonstopAccessStrategyFactory

    public NonstopAccessStrategyFactory(EhcacheAccessStrategyFactory actualFactory)

  Constructor accepting the actual factory

  Parameters:
    `actualFactory` -

Method Detail

### createEntityRegionAccessStrategy

    public EntityRegionAccessStrategy createEntityRegionAccessStrategy(EhcacheEntityRegion entityRegion,
                                                                       AccessType accessType)

  Create `EntityRegionAccessStrategy` for the input `EhcacheEntityRegion` and `AccessType`

  Specified by:
    `createEntityRegionAccessStrategy` in interface `EhcacheAccessStrategyFactory`
  Returns:
    the created `EntityRegionAccessStrategy`

### createNaturalIdRegionAccessStrategy

    public NaturalIdRegionAccessStrategy createNaturalIdRegionAccessStrategy(EhcacheNaturalIdRegion naturalIdRegion,
                                                                             AccessType accessType)

  Description copied from interface: `EhcacheAccessStrategyFactory`
  Create `NaturalIdRegionAccessStrategy` for the input `EhcacheNaturalIdRegion` and `AccessType`

  Specified by:
    `createNaturalIdRegionAccessStrategy` in interface `EhcacheAccessStrategyFactory`
  Returns:
    the created `NaturalIdRegionAccessStrategy`

### createCollectionRegionAccessStrategy

    public CollectionRegionAccessStrategy createCollectionRegionAccessStrategy(EhcacheCollectionRegion collectionRegion,
                                                                               AccessType accessType)

  Create `CollectionRegionAccessStrategy` for the input `EhcacheCollectionRegion` and `AccessType`

  Specified by:
    `createCollectionRegionAccessStrategy` in interface `EhcacheAccessStrategyFactory`
  Returns:
    the created `CollectionRegionAccessStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.